Skip to main content
GET
/
admin
/
user
/
list
Get All Users
curl --request GET \
  --url https://api.example.com/admin/user/list
[
  {
    "id": 1,
    "name": "Arturo Utrilla",
    "email": "arturo@gmail.com",
    "username": "Arturo_utrilla",
    "password": "e28dce46d564d38b9b58f6c85ff4bb75ba3df1202991f5b6e1d5e5d585c1b8e7",
    "salt": "9tuubdqpqei",
    "created_at": "2025-09-25T12:14:44.000Z",
    "updated_at": "2025-10-24T01:45:55.000Z",
    "image_path": "profile-pictures/d84c32b6211caf458c18f49db1992bebbf5dbfccc581e47aad0b77eee3ea637a.jpg",
    "role_id": 1
  },
  {
    "id": 6,
    "name": "Ximena Sánchez",
    "email": "ximena@gmail.com",
    "username": "happy_ximena850",
    "password": "4190cf0be66e814ddb69bfc83cca3b4c92e82f8bc13ebd5bceee987a9fbae3c3",
    "salt": "3d513ivgakh",
    "created_at": "2025-10-08T15:03:21.000Z",
    "updated_at": "2025-10-08T15:03:21.000Z",
    "image_path": "profile-pictures/default.jpg",
    "role_id": 1
  },
  {
    "id": 13,
    "name": "Isa Montaño Mendoza",
    "email": "Isa@gmail.com",
    "username": "happy_isa834",
    "password": "e4ef680582390afd2ee67c7cc4f831c1621ab87e81433655caeeb5746b255473",
    "salt": "622l630parc",
    "created_at": "2025-10-15T19:24:19.000Z",
    "updated_at": "2025-10-15T19:24:19.000Z",
    "image_path": "profile-pictures/default.jpg",
    "role_id": 1
  }
]

Documentation Index

Fetch the complete documentation index at: https://mintlify.com/4rt21/backend-proyecto/llms.txt

Use this file to discover all available pages before exploring further.

Retrieves a list of all users in the system. This endpoint is restricted to admin users.

Authentication

Requires admin authentication via Bearer token.
curl -X GET https://api.falconalert.com/admin/user/list \
  -H "Authorization: Bearer YOUR_ADMIN_TOKEN"

Response

users
array
Array of user objects
[
  {
    "id": 1,
    "name": "Arturo Utrilla",
    "email": "arturo@gmail.com",
    "username": "Arturo_utrilla",
    "password": "e28dce46d564d38b9b58f6c85ff4bb75ba3df1202991f5b6e1d5e5d585c1b8e7",
    "salt": "9tuubdqpqei",
    "created_at": "2025-09-25T12:14:44.000Z",
    "updated_at": "2025-10-24T01:45:55.000Z",
    "image_path": "profile-pictures/d84c32b6211caf458c18f49db1992bebbf5dbfccc581e47aad0b77eee3ea637a.jpg",
    "role_id": 1
  },
  {
    "id": 6,
    "name": "Ximena Sánchez",
    "email": "ximena@gmail.com",
    "username": "happy_ximena850",
    "password": "4190cf0be66e814ddb69bfc83cca3b4c92e82f8bc13ebd5bceee987a9fbae3c3",
    "salt": "3d513ivgakh",
    "created_at": "2025-10-08T15:03:21.000Z",
    "updated_at": "2025-10-08T15:03:21.000Z",
    "image_path": "profile-pictures/default.jpg",
    "role_id": 1
  },
  {
    "id": 13,
    "name": "Isa Montaño Mendoza",
    "email": "Isa@gmail.com",
    "username": "happy_isa834",
    "password": "e4ef680582390afd2ee67c7cc4f831c1621ab87e81433655caeeb5746b255473",
    "salt": "622l630parc",
    "created_at": "2025-10-15T19:24:19.000Z",
    "updated_at": "2025-10-15T19:24:19.000Z",
    "image_path": "profile-pictures/default.jpg",
    "role_id": 1
  }
]